diff options
Diffstat (limited to 'tests/misc/expand')
-rwxr-xr-x | tests/misc/expand | 12 |
1 files changed, 2 insertions, 10 deletions
diff --git a/tests/misc/expand b/tests/misc/expand index b58ff2970..6a568be80 100755 --- a/tests/misc/expand +++ b/tests/misc/expand @@ -17,16 +17,8 @@ # You should have received a copy of the GNU General Public License # along with this program. If not, see <http://www.gnu.org/licenses/>. -: ${PERL=perl} : ${srcdir=.} - -PROG=`echo $0|sed 's,.*/,,'`; export PROG - -$PERL -e 'use warnings;' > /dev/null 2>&1 || { - echo 1>&2 "$0: configure didn't find a usable version of Perl," \ - "so can't run this test" - exit 77 -} +. $srcdir/../require-perl me=`echo $0|sed 's,.*/,,'` exec $PERL -w -I$srcdir/.. -MCoreutils -M"CuTmpdir qw($me)" -- - <<\EOF @@ -49,7 +41,7 @@ my @Tests = my $save_temps = $ENV{DEBUG}; my $verbose = $ENV{VERBOSE}; -my $prog = $ENV{PROG} || die "$0: \$PROG not specified in environment\n"; +my $prog = 'expand'; my $fail = run_tests ($program_name, $prog, \@Tests, $save_temps, $verbose); exit $fail; EOF |